<head>
  <meta charset="utf-8">
  <title>
  {{- $title := "" -}}
  {{- with .Title -}}
    {{- $title = . -}}
  {{- else -}}
    {{- if (eq .Section "cantons") -}}
      {{- if .IsPage -}}
        {{- $title = print (i18n "cantons_profile") " " .File.ContentBaseName -}}
      {{- else -}}
        {{- $title = i18n "cantons_profiles" -}}
      {{- end -}}
      {{- $title = print $title " " (i18n "canton_from") " " (print "canton_" .CurrentSection.File.ContentBaseName | i18n) -}}
    {{- else -}}
      {{- $title = site.Title -}}
    {{- end -}}
  {{- end -}}
  {{- $title -}}
  </title>

  {{ "<!-- Mobile responsive metadata -->" | safeHTML }}
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=5">
  {{ $description := "" -}}
  {{ with site.Params.description -}}
    {{ $description = . -}}
  {{- end }}
  {{ with .Description -}}
    {{ $description = . -}}
  {{ else -}}
    {{ if (or (eq .Kind "taxonomy") (eq .Kind "term")) -}}
      {{ $description = i18n "title_blog" -}}
      {{ $description = print $description " – " -}}
      {{ if (eq .Kind "term") -}}
        {{ $description = print $description (strings.FirstUpper (i18n (singularize .Section))) -}}
        {{ if (eq .Site.Language.Lang "fr") -}}
          {{ $description = print $description " " -}}
        {{- end }}
        {{ $description = print $description  ": " .Title -}}
      {{ else if (eq .Kind "taxonomy") -}}
        {{ $description = print $description (i18n .Section) -}}
      {{- end }}
    {{ else if .IsPage -}}
      {{ with .Summary -}}
        {{ $description = . -}}
      {{- end }}
    {{- end }}
  {{- end }}
  <meta name="description" content="{{ $description }}">
  {{ with site.Params.author }}<meta name="author" content="{{ . }}">{{- end }}
  
  {{ hugo.Generator }}

  {{ "<!-- Open Graph image and Twitter Card metadata -->" | safeHTML }}
  {{ $image_path := .Params.image | default site.Params.image -}}
  {{ $image_path_local :=  printf "static/%s" $image_path -}}
  {{ $image_ext := trim (path.Ext $image_path | lower) "." -}}
  {{ if fileExists $image_path_local -}}
  <meta property="og:image" content="{{ $image_path | absURL }}" />
    {{- /* If not SVG, read image aspect ratio and define Twitter Card and Open Graph width and height  */ -}}
    {{ if ne $image_ext "svg" -}}
      {{ with (imageConfig $image_path_local) -}}
        {{ if (and (gt .Width 144) (gt .Height 144)) -}}
  <meta name="twitter:image" content="{{ $image_path | absURL }}"/>
  <meta name="twitter:card" content="summary{{ if (and (gt .Width 300) (gt .Height 157) (not (eq .Width .Height))) }}_large_image{{ end }}">
        {{- end }}
  <meta property="og:image:width" content="{{ .Width }}">
  <meta property="og:image:height" content="{{ .Height }}">
      {{- end }}
    {{- end }}
  <meta property="og:image:type" content="image/{{ if eq $image_ext "svg" }}svg+xml{{ else }}{{ replaceRE "^jpg$" "jpeg" $image_ext }}{{ end }}">
  {{- end }}
  <meta name="twitter:title" content="{{ with .Title }}{{ . }}{{ else }}{{ site.Title }}{{ end }}"/>
  <meta name="twitter:description" content="{{ $description }}"/>
  {{ with site.Social.twitter -}}<meta name="twitter:site" content="@{{ . }}"/>{{- end }}
  {{ range site.Authors -}}
    {{ with .twitter -}}<meta name="twitter:creator" content="@{{ . }}"/>{{- end }}
  {{- end }}

  {{ template "_internal/opengraph.html" . }}
  {{ template "_internal/google_analytics.html" . }}

  {{ with site.Params.counter -}}
    {{ if .enable -}}
      {{ with .username -}}
        {{ "<!-- counter.dev analytics -->" | safeHTML -}}
        {{ $counterjs := resources.Get "js/counter.min.js" | resources.ExecuteAsTemplate "js/counter.min.js" . }}
  <script src="{{ $counterjs.RelPermalink }}" data-id="3e8613f6-f6fd-4ce9-b503-cfa418474a74" data-utcoffset="1"></script>
      {{- end }}
    {{- end }}
  {{- end }}

  {{ "<!-- Plugins -->" | safeHTML }}
  {{ range site.Params.plugins.css -}}
  <link rel="stylesheet" href="{{ .link | relURL }}" {{ .attributes | safeHTMLAttr }}>
  {{- end }}

  {{ if (eq .Section "cantons") -}}
    {{ "<!-- HTML widget dependencies -->" | safeHTML }}
    {{ partial "tools_score/libs.html" . }}
  {{- end }}

  {{ "<!-- Main Stylesheet -->" | safeHTML }}
  {{ $styles := slice (resources.Get "scss/style.scss") (resources.Get "scss/custom.scss") | resources.Concat "scss/bundled.scss" | resources.ExecuteAsTemplate "scss/compiled.scss" . | toCSS | minify -}}
  <link rel="stylesheet" href="{{ $styles.RelPermalink }}" media="screen">
    
  {{ "<!-- Favicon -->" | safeHTML }}
  {{ partial "favicon.html" . }}

</head>
